//
// "$Id: $"
//
//
//                   Copyright (c) 2004, O'ksi'D
//                      All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
//
//      Redistributions of source code must retain the above copyright
//      notice, this list of conditions and the following disclaimer.
//
//      Redistributions in binary form must reproduce the above copyright
//      notice, this list of conditions and the following disclaimer in the
//      documentation and/or other materials provided with the distribution.
//
//      Neither the name of O'ksi'D nor the names of its contributors
//      may be used to endorse or promote products derived from this software
//      without specific prior written permission.
//
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
// A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER
// OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
// PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
// LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
// NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
// SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//
//


#include "ListTable.h"
#include "ListEdit.h"



static void enter_cb(Fl_Widget*, void* v)
{ 
	((ListInput*)v)->set_data(); 
}
	
ListInput::ListInput(int X, int Y, int W, int H, const char *t) :
	Fl_Group(X,Y,W,H,t)
{
	grp[0] = new Fl_Group(X,Y,W,H);

/*	input = new Fl_Input(w/2,h/2,0,0);
	input->hide();
	input->callback(enter_cb, (void*)this);
	input->when(FL_WHEN_ENTER_KEY_ALWAYS);
*/
	
	grp[0]->end();
	end();
	callback(enter_cb, (void*)this);
}

int ListInput::handle(int e)
{
	return Fl_Group::handle(e);
}

void ListInput::resize(int X, int Y, int W , int H)
{

}

void ListInput::data(int R, int C, ListTable *t)
{
	row = R;
	col = C;
	table = t;
	edit = t->list_edit;
}

void ListInput::set_data()
{

}




//
// End of "$Id: $".
//

